Bug 70713 - lpd initscript has wrong error handling
lpd initscript has wrong error handling
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-04 10:25 EDT by Peter van Egdom
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 09:03:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-08-04 10:25:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1b) Gecko/20020721

Description of problem:
[peterve@limbo-pc init.d]$ ./lpd start
Starting lpd: You must run printconf-backend as root.
No Printers Defined                                        [  OK  ]


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "lpd start" as normal user.
2.
3.
	

Actual Results:
Starting lpd: You must run printconf-backend as root.
No Printers Defined                                        [  OK  ]

Expected Results:
Starting lpd: You must run printconf-backend as root.
No Printers Defined                                        [FAILED]

Additional info:

Source RPM: LPRng-3.8.9-6.src.rpm
Comment 1 Peter van Egdom 2002-11-01 17:19:32 EST
Still occurs in Red Hat Linux 8.0.
Comment 2 Tim Waugh 2004-12-08 09:03:24 EST
This works properly now.

Note You need to log in before you can comment on or make changes to this bug.